Build for WAB doesn't work, not "official" product from Esri.

Idea created by kmsagis on Oct 17, 2018
    Reviewed
    Score40
    • JEjnes_COPC
    • patrick_catalyze
    • kmsagis
    • dewright_ca

    Idea: make the Build for WAB work for WAB DE 2.9 and 2.10. Also I need it to work for 2.9 but if the env.js is set to use 3.26 API because of the severe popup geometry bug.

     

    This does not work. Tech Support confirmed, both that it won't work if API is jumped up to 3.26 out of band from AB 2.9 (which was on 3.25 API) as well as it doesn't work for 2.9+ yet.

     

    GitHub - gbochenek/esri-wab-build: Package used to build ESRI Web App Builder Apps for production. 

     

    I have seen WAB load slowly, up to 15 to 30 seconds on machines lower than i7 or 8gb RAM and it is WAB loading JS and building DOM not services. I hope the Build can boost that initial loading speed.  I propose it be incorporated in to the product officially.